Summary: A SPM data analysis framework.
Name: gwyddion
Version: 1.2
Release: 1
License: GNU GPL
Group: Applications/Engineering
Source: http://trific.ath.cx/Ftp/%{name}/gwyddion-1.2.tar.bz2
URL: http://gwyddion.net/
Prefix: %{_prefix}
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Prereq: /sbin/ldconfig
BuildPrereq: gtk2-devel >= 2.2
BuildPrereq: libpng-devel
BuildPrereq: libjpeg-devel
BuildPrereq: gtk-doc >= 1.0

%package devel
Summary: Headers, libraries and tools for Gwyddion module development.
Group: Development/Libraries
Requires: %{name} = %{version}

%package plugins
Summary: Example plugins for Gwyddion.
License: public domain
Group: Applications/Engineering

%description
Gwyddion is a modular SPM (scanning probe microscope) data analysis framework.
It uses Gtk+.

%description devel
Header files, libraries and tools for Gwyddion module development.  This
package also contains the API docmentation.

%description plugins
Example plug-ins for Gwyddion. They are mostly useless except as a basis for
your own plug-ins.

%prep
%setup -q

%build
%configure
%__make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && %__rm -rf $RPM_BUILD_ROOT
%makeinstall \
  gwymoduledir=$RPM_BUILD_ROOT%{_libdir}/%{name}/modules \
  gwyplugindir=$RPM_BUILD_ROOT%{_libexecdir}/%{name}/plugins \
  gwypixmapdir=$RPM_BUILD_ROOT%{_datadir}/%{name}/pixmaps \
  HTML_DIR=$RPM_BUILD_ROOT%{_datadir}/gtk-doc/html
%__strip $RPM_BUILD_ROOT%{_libdir}/%{name}/modules/*/*.so
%__strip $RPM_BUILD_ROOT%{_libdir}/%{name}/modules/*.so
%__strip $RPM_BUILD_ROOT%{_libdir}/libgwy*.so.*

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && %__rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(755,root,root)
%{_bindir}/%{name}
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README THANKS
%{_datadir}/%{name}/pixmaps/*.png
%{_datadir}/%{name}/pixmaps/*.ico
%dir %{_datadir}/%{name}/pixmaps
%dir %{_datadir}/%{name}
%{_libdir}/%{name}/modules/file/*.so
%{_libdir}/%{name}/modules/graph/*.so
%{_libdir}/%{name}/modules/layer/*.so
%{_libdir}/%{name}/modules/process/*.so
%{_libdir}/%{name}/modules/tool/*.so
%{_libdir}/%{name}/modules/*.so
%dir %{_libdir}/%{name}/modules/file
%dir %{_libdir}/%{name}/modules/graph
%dir %{_libdir}/%{name}/modules/layer
%dir %{_libdir}/%{name}/modules/process
%dir %{_libdir}/%{name}/modules/tool
%dir %{_libdir}/%{name}/modules
%dir %{_libdir}/%{name}
%{_libdir}/libgwyapp.so.*
%{_libdir}/libgwyddion.so.*
%{_libdir}/libgwydgets.so.*
%{_libdir}/libgwydraw.so.*
%{_libdir}/libgwymodule.so.*
%{_libdir}/libgwyprocess.so.*

%files devel
%defattr(-,root,root)
%doc CODING-STANDARDS
%{_includedir}/%{name}/app/*.h
%{_includedir}/%{name}/libdraw/*.h
%{_includedir}/%{name}/libprocess/*.h
%{_includedir}/%{name}/libgwyddion/*.h
%{_includedir}/%{name}/libgwydgets/*.h
%{_includedir}/%{name}/libgwymodule/*.h
%dir %{_includedir}/%{name}/app
%dir %{_includedir}/%{name}/libdraw
%dir %{_includedir}/%{name}/libprocess
%dir %{_includedir}/%{name}/libgwyddion
%dir %{_includedir}/%{name}/libgwydgets
%dir %{_includedir}/%{name}/libgwymodule
%dir %{_includedir}/%{name}
%{_datadir}/gtk-doc/html/libgwyapp/*
%{_datadir}/gtk-doc/html/libgwydraw/*
%{_datadir}/gtk-doc/html/libgwyprocess/*
%{_datadir}/gtk-doc/html/libgwyddion/*
%{_datadir}/gtk-doc/html/libgwydgets/*
%{_datadir}/gtk-doc/html/libgwymodule/*
%dir %{_datadir}/gtk-doc/html/libgwyapp
%dir %{_datadir}/gtk-doc/html/libgwydraw
%dir %{_datadir}/gtk-doc/html/libgwyprocess
%dir %{_datadir}/gtk-doc/html/libgwyddion
%dir %{_datadir}/gtk-doc/html/libgwydgets
%dir %{_datadir}/gtk-doc/html/libgwymodule
%dir %{_datadir}/gtk-doc/html
%{_libdir}/pkgconfig/%{name}.pc
%dir %{_libdir}/pkgconfig
%{_libdir}/libgwyapp.so
%{_libdir}/libgwyddion.so
%{_libdir}/libgwydgets.so
%{_libdir}/libgwydraw.so
%{_libdir}/libgwymodule.so
%{_libdir}/libgwyprocess.so
%{_libdir}/libgwyapp.la
%{_libdir}/libgwyddion.la
%{_libdir}/libgwydgets.la
%{_libdir}/libgwydraw.la
%{_libdir}/libgwymodule.la
%{_libdir}/libgwyprocess.la

%files plugins
%defattr(755,root,root)
%{_libexecdir}/%{name}/plugins/file/*
%{_libexecdir}/%{name}/plugins/process/*
%dir %{_libexecdir}/%{name}/plugins/file
%dir %{_libexecdir}/%{name}/plugins/process
%dir %{_libexecdir}/%{name}/plugins
%dir %{_libexecdir}/%{name}

